# This file created by conda-build 3.20.2
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/libcrc32c-1.1.1-on-linux_64, last modified Mon Sep 28 14:53:51 2020
# ------------------------------------------------

package:
    name: libcrc32c
    version: 1.1.1
source:
    sha256: a6533f45b1670b5d59b38a514d82b09c6fb70cc1050467220216335e873074e8
    url: https://github.com/google/crc32c/archive/1.1.1.tar.gz
build:
    number: '2'
    run_exports:
        - libcrc32c >=1.1.1,<1.2.0a0
    string: he6710b0_2
requirements:
    build:
        - _libgcc_mutex 0.1 main
        - binutils_impl_linux-64 2.33.1 he6710b0_7
        - binutils_linux-64 2.33.1 h9595d00_15
        - bzip2 1.0.8 h7b6447c_0
        - ca-certificates 2020.7.22 0
        - cmake 3.18.2 ha30ef3c_0
        - expat 2.2.9 he6710b0_2
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_15
        - gxx_impl_linux-64 7.3.0 hdf63c60_1
        - gxx_linux-64 7.3.0 h553295d_15
        - krb5 1.18.2 h173b8e3_0
        - ld_impl_linux-64 2.33.1 h53a641e_7
        - libcurl 7.71.1 h20c2e04_1
        - libedit 3.1.20191231 h14c3975_1
        - libffi 3.3 he6710b0_2
        - libgcc-ng 9.1.0 hdf63c60_0
        - libssh2 1.9.0 h1ba5d50_1
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - libuv 1.40.0 h7b6447c_0
        - lz4-c 1.9.2 he6710b0_1
        - ncurses 6.2 he6710b0_1
        - ninja 1.10.1 py38hfd86e86_0
        - openssl 1.1.1h h7b6447c_0
        - python 3.8.5 h7579374_1
        - readline 8.0 h7b6447c_0
        - rhash 1.4.0 h1ba5d50_0
        - sqlite 3.33.0 h62c20be_0
        - tk 8.6.10 hbc83047_0
        - xz 5.2.5 h7b6447c_0
        - zlib 1.2.11 h7b6447c_3
        - zstd 1.4.5 h9ceee32_0
    host:
        - _libgcc_mutex 0.1 main
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
    run:
        - libgcc-ng >=7.3.0
        - libstdcxx-ng >=7.3.0
test:
    commands:
        - test -f $PREFIX/lib/libcrc32c${SHLIB_EXT}
        - test -f $PREFIX/include/crc32c/crc32c.h
        - test -f $PREFIX/lib/cmake/Crc32c/Crc32cTargets.cmake
about:
    home: https://github.com/google/crc32c
    license: BSD-3-Clause
    license_family: BSD
    license_file: LICENSE
    summary: CRC32C implementation with support for CPU-specific acceleration instructions
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - tswast
        - xhochy
